import {
  createSSRApp
} from 'vue'
import App from './App.vue'
import { setupStore } from '@/stores'
import legacy from './utils/plugin/legacy.js'
// 国际化
import { setupI18n } from './locale'
export function createApp () {
  const app = createSSRApp(App)
  // #ifdef H5
  app.use(legacy)
  // #endif
  app.use(setupI18n)
  app.use(setupStore)
  return {
    app
  }
}
